Table of Contents

## Name

XtGetSelectionValue, XtGetSelectionValues - obtain selection values

## Syntax

void XtGetSelectionValue(w, selection, target, callback, client_data, time)
Widget w;
Atom selection;
Atom target;
XtSelectionCallbackProc callback;
XtPointer client_data;
Time time;

void XtGetSelectionValues(w, selection, targets, count, callback, client_data, time)
Widget w;
Atom selection;
Atom *targets;
int count;
XtSelectionCallbackProc callback;
XtPointer client_data;
Time time;

## Arguments

callback
  Specifies the callback procedure that is to be called when the selection value has been obtained.
client_data
  Specifies the argument that is to be passed to the specified procedure when it is called.
client_data
  Specifies the client data (one for each target type) that is passed to the callback procedure when it is called for that target.
count
  Specifies the length of the targets and client_data lists.
selection
  Specifies the particular selection desired (that is, primary or secondary).
target
  Specifies the type of the information that is needed about the selection.
targets
  Specifies the types of information that is needed about the selection.
time
  Specifies the timestamp that indicates when the selection value is desired.
w
  Specifies the widget that is making the request.

## Description

The XtGetSelectionValue function requests the value of the selection that has been converted to the target type. The specified callback will be called some time after XtGetSelectionValue is called; in fact, it may be called before or after XtGetSelectionValue returns.

The XtGetSelectionValues function is similar to XtGetSelectionValue except that it takes a list of target types and a list of client data and obtains the current value of the selection converted to each of the targets. The effect is as if each target were specified in a separate call to XtGetSelectionValue. The callback is called once with the corresponding client data for each target. XtGetSelectionValues does guarantee that all the conversions will use the same selection value because the ownership of the selection cannot change in the middle of the list, as would be when calling XtGetSelectionValue repeatedly.

## See Also

XtAppGetSelectionTimeout(3Xt) , XtOwnSelection(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also